| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoICCSdk.icc4c.ICC4cChannel Class Reference
Inheritance diagram for optoICCSdk.icc4c.ICC4cChannel:

## Public Member Functions
def | __init__ (self, board, int channel_number=0, device_platform=DevicePlatform.ALL)
def | GetControlMode (self)

## Public Attributes
| StaticInput
| Based on device_platform ALL/LENS => ICCStaticInput XPR/ADARA => StaticInput.
| LensCompensation
| Only available for device_platform = ALL || LENS => LensCompensation.
| Analog
| => ICCAnalogInput
| SignalGenerator
| => SignalGenerator
| DeviceEEPROM
| => DeviceEEPROM
| VectorPatternUnit
| => VectorPatternUnit
| TemperatureManager
| => ICCDeviceTemperatureManager
| OutputConditioningFilter
| => OutputConditioningFilter

## Protected Attributes
| _control_mode

## Detailed Description

        Class to control single channel of the ICC-4C driver. It contains systems supported on specific channel.
        This class extends

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICCSdk.icc4c.ICC4cChannel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = `0`,
|  |  | device_platform = `DevicePlatform.ALL`
| ) |  |

## Member Function Documentation

## ◆ GetControlMode()

def optoICCSdk.icc4c.ICC4cChannel.GetControlMode | ( |  | self | ) |

        Retrieves board control mode for this channel.

        Parameters
        ----------

        Raises
        ------
        none

        Returns
        -----
        UnitType
            Control mode options set by register_tables.UnitType

## Member Data Documentation

## ◆ StaticInput

optoICCSdk.icc4c.ICC4cChannel.StaticInput

Based on device_platform
ALL/LENS => ICCStaticInput
XPR/ADARA => StaticInput.

## ◆ LensCompensation

optoICCSdk.icc4c.ICC4cChannel.LensCompensation

Only available for device_platform = ALL || LENS
=> LensCompensation.

## ◆ Analog

optoICCSdk.icc4c.ICC4cChannel.Analog

=> ICCAnalogInput

## ◆ SignalGenerator

optoICCSdk.icc4c.ICC4cChannel.SignalGenerator

=> SignalGenerator

## ◆ DeviceEEPROM

optoICCSdk.icc4c.ICC4cChannel.DeviceEEPROM

=> DeviceEEPROM

## ◆ VectorPatternUnit

optoICCSdk.icc4c.ICC4cChannel.VectorPatternUnit

=> VectorPatternUnit

## ◆ TemperatureManager

optoICCSdk.icc4c.ICC4cChannel.TemperatureManager

=> ICCDeviceTemperatureManager

## ◆ OutputConditioningFilter

optoICCSdk.icc4c.ICC4cChannel.OutputConditioningFilter

=> OutputConditioningFilter

## ◆ _control_mode

optoICCSdk.icc4c.ICC4cChannel._control_mode
| protected